#include <stdlib.h>
#include "anamod.h"

/*
 * test for module placeholder creation
 */
int main(int argc,char **argv)
{
  char *key; PetscErrorCode ierr;
  PetscInitialize(&argc,&argv,0,0);
  ierr = AnaModInitialize(); CHKERRQ(ierr);

  ierr = RegisterModule
    ("cat1","cmp1",ANALYSISINTEGER,NULL); CHKERRQ(ierr);
  ierr = RegisterModule
    ("cat1","cmp2",ANALYSISINTEGER,NULL); CHKERRQ(ierr);
  ierr = TabReportModules(&key,'\t'); CHKERRQ(ierr);
  ierr = PetscFree(key); CHKERRQ(ierr);

  ierr = AnaModFinalize(); CHKERRQ(ierr);
  PetscFinalize();
  PetscFunctionReturn(0);
}
