    /*
     * create a simple matrix and rhs
     */
    ierr = MatCreateSeqAIJ(MPI_COMM_SELF,n,n,3,0,&A); CHKERRQ(ierr);
    ierr = VecCreateSeq(MPI_COMM_SELF,n,&rhs); CHKERRQ(ierr);
    for (i=0; i<n; i++) {
      if (i>0) {
	int ii=i-1;
	ierr = MatSetValues(A,1,&i,1,&ii,&mone,INSERT_VALUES); CHKERRQ(ierr);
	ierr = MatSetValues(A,1,&ii,1,&i,&mone,INSERT_VALUES); CHKERRQ(ierr);
      }
      ierr = MatSetValues(A,1,&i,1,&i,&two,INSERT_VALUES); CHKERRQ(ierr);
      ierr = VecSetValues(rhs,1,&i,&one,INSERT_VALUES); CHKERRQ(ierr);
    }
    ierr = MatAssemblyBegin(A,MAT_FINAL_ASSEMBLY); CHKERRQ(ierr);
    ierr = MatAssemblyEnd(A,MAT_FINAL_ASSEMBLY); CHKERRQ(ierr);
    ierr = VecAssemblyBegin(rhs); CHKERRQ(ierr);
    ierr = VecAssemblyEnd(rhs); CHKERRQ(ierr);
    ierr = VecDuplicate(rhs,&sol); CHKERRQ(ierr);
